## org.apache.hadoop.io.serializer
Class SerializationFactory

    java.lang.Object
      org.apache.hadoop.conf.Configured
          org.apache.hadoop.io.serializer.SerializationFactory

All Implemented Interfaces:
  Configurable

    public class SerializationFactory

extends Configured

A factory for `Serialization`s.

Constructor Summary
`SerializationFactory(Configuration conf)` Serializations are found by reading the `io.serializations` property from `conf`, which is a comma-delimited list of classnames.

Method Summary

`

`<T> Deserializer<T>`

`

`getDeserializer(Class<T> c)`

`

`<T> Serialization<T>`

`

`getSerialization(Class<T> c)`

`

`<T> Serializer<T>`

`

`getSerializer(Class<T> c)`

Methods inherited from class org.apache.hadoop.conf.Configured
`getConf, setConf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SerializationFactory

    public SerializationFactory(Configuration conf)

  Serializations are found by reading the `io.serializations` property from `conf`, which is a comma-delimited list of classnames.

Method Detail

### getSerializer

    public <T> Serializer<T> getSerializer(Class<T> c)

### getDeserializer

    public <T> Deserializer<T> getDeserializer(Class<T> c)

### getSerialization

    public <T> Serialization<T> getSerialization(Class<T> c)

Copyright © 2009 The Apache Software Foundation